Bug 65096 - copiling componets that require the kernel headers tends to fail
copiling componets that require the kernel headers tends to fail
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 08:28 EDT by wolfson_curt
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-17 08:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wolfson_curt 2002-05-17 08:28:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I tried to compile deferent componets that require the kernel headers in 7.3
such as LVM tools 1.04 or a qlogic driver for a EMC array
The result is a massive error. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.extract the code 
2.do a configure (that works)
3.do a make 
4. componet fails

Actual Results:  driver fails with errors. text log file will be provided

Expected Results:  drivers should return no errors

Additional info:

I built the 2.4.18-4 kernel on a 7.2 host and compiled all the same drivers and
components with no issues
Comment 1 Arjan van de Ven 2002-05-20 08:21:32 EDT
The LVM userspace<->kernel interface is not stable and as a result we don't
supply the header. Kernel drivers NEVER EVER should use the glibc headers;
qlogic just can't write makefiles it seems.

Note You need to log in before you can comment on or make changes to this bug.